Subject: [bug#52576] [PATCH] gnu: ibus-anthy: Update to 1.15.12

From: Taiju HIGASHI <[email-masked]>
Date: Fri, 17 Dec 2021 22:40:29 +0900

Hi,

I'm using GNOME (40.4) with Guix, and version 1.5.9 of ibus-anthy had
a problem with ibus-anthy not being able to save settings.

I'm assuming this is the cause, since the release notes say that
ibus-anthy version 1.5.10 includes a fix for migrating from dConf to
GSettings.

1.5.10 adds a test, but I skipped running the test.  I wish I had a
better solution, but the fix including the test was difficult for me.
It also included tests for users to enter values in dialogs and to
update files under their home directories, so I thought it would be
better to skip the tests.

I have now applied this fix and am using it comfortably.

Thank you.

---
 gnu/packages/ibus.scm | 7 +++++--
 1 file changed, 5 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/ibus.scm b/gnu/packages/ibus.scm
index edaeb59641..889b71f3c2 100644
--- a/gnu/packages/ibus.scm
+++ b/gnu/packages/ibus.scm
@@ -9,6 +9,7 @@
 ;;; Copyright © 2020 Vincent Legoll <[email-masked]>
 ;;; Copyright © 2021 Felix Gruber <[email-masked]>
 ;;; Copyright © 2021 Songlin Jiang <[email-masked]>
+;;; Copyright © 2021 Taiju HIGASHI <[email-masked]>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -307,7 +308,7 @@ (define-public libpinyin
 (define-public ibus-anthy
   (package
     (name "ibus-anthy")
-    (version "1.5.9")
+    (version "1.5.12")
     (source (origin
               (method url-fetch)
               (uri (string-append
@@ -315,12 +316,13 @@ (define-public ibus-anthy
                     version "/ibus-anthy-" version ".tar.gz"))
               (sha256
                (base32
-                "1y8sf837rmp662bv6zakny0xcm7c9c5qda7f9kq9riv9ywpcbw6x"))))
+                "1fspvzgxr3r086515kap187n684gza3i25xbdqvr5qkaskfmirz9"))))
     (build-system gnu-build-system)
     (arguments
      '(#:configure-flags
        ;; Use absolute exec path in the anthy.xml.
        (list (string-append "--libexecdir=" %output "/libexec"))
+       #:tests? #f ; The tests in this package include test cases with user input, so skip them.
        #:phases
        (modify-phases %standard-phases
          (add-after 'install 'wrap-programs
@@ -338,6 +340,7 @@ (define-public ibus-anthy
                #t))))))
     (native-inputs
      `(("gettext" ,gettext-minimal)
+       ("glib:bin" ,glib "bin")
        ("intltool" ,intltool)
        ("pkg-config" ,pkg-config)
        ("python" ,python)))
-- 
2.34.0